Subject: i.MX53 suspend to RAM

From: [email-masked] (Martin Fuzzey)
Date: Wed, 19 Mar 2014 14:52:58 +0100

Hi Fabio,

On 16/03/14 15:39, Fabio Estevam wrote:
> I will try to stress test suspend/resume on mx53qsb and will let you know.

After doing some more digging it seems the problem is actually the 
staging IPU driver imx-drm.

That driver currently has no suspend code and does not stop DMA.

If I remove the driver I can reliably suspend and resume (>500 cycles ok)

So sorry for the noise.

Are there any suspend/resume patches for that driver floating around?

I have tried to do something similar to the Freescale driver (wait for 
DMA channels to idle then disable them)
but, while this also fixes the suspend/resume hang, there is sometimes 
no or shifted display on resume.

Regards,

Martin